pangocairo Functions
Prev | The pangocairo Class Reference | Next

## pangocairo Functions

pangocairo Functions — a list of all the pangocairo functions

## Synopsis

### `pangocairo.CairoFontMap` Functions

        def pangocairo.cairo_font_map_get_default()

### Miscellaneous Functions

        def context_get_font_options(context)
        def context_set_font_options(context, font_options)

## Functions

### pangocairo.context_get_font_options

        def pangocairo.context_get_font_options(context)

`context` : | a `pango.Context` created by the `pango.FontMap.create_context`() method.
Returns : | a cairo.FontOptions object or `None`

### Note

This function is available in PyGTK 2.10 and above.

The `pangocairo.context_get_font_options`() method returns the cairo.FontOptions object associated with the `pango.Context` specified by `context`.

### pangocairo.context_set_font_options

        def pangocairo.context_set_font_options(context, font_options)

`context` : | a `pango.Context` created by the `pango.FontMap.create_context`() method.
`font_options` : | a cairo.FontOptions object or `None`

### Note

This function is available in PyGTK 2.10 and above.

The `pangocairo.context_set_font_options`() function sets the font options specified by `font_options` used when rendering text with the `pango.Context` specified by `context`. These options override any options that `pangocairo.CairoContext.update_context`() derives from the target surface. If `font_options` is `None` any previously set options are unset.

Prev | Up | Next
pangocairo.CairoFontMap | Home | pangocairo Constants